psf2ams(1)

NAME
psf2ams - convert a PC Screen Font file to an Amstrad CP/M font

SYNOPSIS
psf2ams [-ems=EMSFILE] [-scrchar=IDENTITY] [INPUTFILE [OUTPUTFILE]]

DESCRIPTION

psf2ams converts a font in the .PSF format to a font that can be used under Amstrad CP/M or LocoScript 1. The font can be output either as a .COM file (which loads the associated font when run), a .EMS file (based on a standard CP/M or LocoScript 1 .EMS file) or a SCRCHAR.JOY file (screen characters for LocoScript 2/3/4).

For best results the font should be 8 pixels by 8 (for the CPC, PCW and Spectrum +3) or 8 pixels by 16 (for the PcW16).

It is also possible to load PCW fonts on a PCW using LOADPSF.COM or by converting to a raw font with psf2raw(1) and using SETFONT.COM, but for those distributing a new font, a self-contained .COM file may be more convenient.

The .COM files generated by psf2ams will run under CP/M on the CPC, PCW, PcW16 and Spectrum +3. They will also fail gracefully rather than crash if run under PCDOS.

If the font has fewer than 256 characters, only those characters contained within the font will be redefined.

If the font has more than 256 characters, then on the Spectrum +3 the first 256 will be loaded to the 8x8 font, and the second 256 (or whatever is left) to the 8x5 font. If you don't want this, use psfxform(1) to reduce the font to 256 characters before passing it to psf2ams(1).

If the font is 16 or more pixels high and a .COM file is being output, then it will primarily target the PcW16. When run on a CPC, PCW or Spectrum +3, the font will be programmatically halved in height.

OPTIONS

--ems=template
    Output a .EMS file, using the provided CP/M or LocoScript 1 .EMS file as a template.

--scrchar

--scrchar=identity_text
    Output a SCRCHAR.JOY file. Up to 90 characters of identity text can be provided, which will be written to the header of the file. Characters 0-31 of the input file will be discarded.

BUGS

Attempting to use --ems with a LocoScript 2 or later .EMS file will not work, owing to the different order in which the font is stored.

SEE ALSO
ams2psf(1), psf2raw(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.